.. _ppconfig-reference:

Ppconfig Reference
==================

.. ditaa::
    :--scale: 0.85

    +--------------------+
    |      toppstr       |
    +--------------------+
    |      ppdetail      |
    +--------------------+
    |      ppstate       |
    +--------------------+
    |cBLU  ppconfig      |
    +--------------------+

.. code-block:: cpp

    #include <xo/indentlog/ppconfig.hpp>

Class
-----

Configuration for pretty printing

.. doxygenclass:: xo::print::ppconfig

Member Variables
----------------

.. doxygengroup:: ppconfig-instance-vars
